<?php

namespace common\logic\Order\OrderStatusHistory\Repository;

use common\logic\AbstractRepository;

class OrderStatusHistoryRepository extends AbstractRepository
{
    protected OrderStatusHistoryRepositoryQuery $query;

    public function loadDependencies(): void
    {
        $this->loadQuery(OrderStatusHistoryRepositoryQuery::class);
    }

    public function getDefaultOptionsSearch(): array
    {
        return [
            self::WITH => [],
            self::JOIN_WITH => ['order', 'orderStatus'],
            self::ORDER_BY => 'date ASC',
            self::ATTRIBUTE_ID_PRODUCER => ''
        ];
    }
}