<?php

namespace common\logic\User\User\Wrapper;

use common\logic\AbstractManager;
use common\logic\User\User\Repository\UserRepository;
use common\logic\User\User\Service\UserBuilder;
use common\logic\User\User\Service\UserDefinition;
use common\logic\User\User\Service\UserSolver;
use common\logic\User\User\Service\UserUtils;

/**
 * @mixin UserDefinition
 * @mixin UserSolver
 * @mixin UserRepository
 * @mixin UserBuilder
 * @mixin UserUtils
 */
class UserManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return UserContainer::class;
    }
}