<?php

namespace common\logic\Document\Invoice\Wrapper;

use common\logic\Document\Document\Wrapper\DocumentManager;
use common\logic\Document\Invoice\Repository\InvoiceRepository;
use common\logic\Document\Invoice\Service\InvoiceBuilder;
use common\logic\Document\Invoice\Service\InvoiceDefinition;

/**
 * @mixin InvoiceDefinition
 * @mixin InvoiceRepository
 * @mixin InvoiceBuilder
 */
class InvoiceManager extends DocumentManager
{
    public function getContainerFqcn(): string
    {
        return InvoiceContainer::class;
    }
}