<?php

namespace common\logic\Order\OrderStatusHistory\Repository;

use common\logic\AbstractRepositoryQuery;
use common\logic\Order\OrderStatusHistory\Model\OrderStatusHistory;
use common\logic\Order\OrderStatusHistory\Service\OrderStatusHistoryDefinition;
use yii\db\ActiveQuery;

class OrderStatusHistoryRepositoryQuery extends AbstractRepositoryQuery
{
    protected OrderStatusHistoryDefinition $definition;

    public function loadDependencies(): void
    {
        $this->loadDefinition(OrderStatusHistoryDefinition::class);
    }
}