<?php

namespace common\logic\Order\OrderStatusHistory\Wrapper;

use common\logic\AbstractManager;
use common\logic\Order\OrderStatusHistory\Repository\OrderStatusHistoryRepository;
use common\logic\Order\OrderStatusHistory\Service\OrderStatusHistoryBuilder;
use common\logic\Order\OrderStatusHistory\Service\OrderStatusHistoryDefinition;

/**
 * @mixin OrderStatusHistoryDefinition
 * @mixin OrderStatusHistoryRepository
 * @mixin OrderStatusHistoryBuilder
 */
class OrderStatusHistoryManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return OrderStatusHistoryContainer::class;
    }
}