<?php

namespace common\logic\Producer\Producer\Wrapper;

use common\logic\AbstractManager;
use common\logic\Producer\Producer\Repository\ProducerRepository;
use common\logic\Producer\Producer\Service\ProducerBuilder;
use common\logic\Producer\Producer\Service\ProducerDefinition;
use common\logic\Producer\Producer\Service\ProducerSolver;
use common\logic\Producer\Producer\Service\ProducerUtils;

/**
 * @mixin ProducerDefinition
 * @mixin ProducerSolver
 * @mixin ProducerRepository
 * @mixin ProducerBuilder
 * @mixin ProducerUtils
 */
class ProducerManager extends AbstractManager
{
    public function getContainerFqcn(): string
    {
        return ProducerContainer::class;
    }
}